Bug 688341 - Fix Coverity code maintainability issues
Summary: Fix Coverity code maintainability issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 690319
TreeView+ depends on / blocked
 
Reported: 2011-03-16 20:21 UTC by Nathan Kinder
Modified: 2015-01-04 23:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:55 UTC


Attachments (Terms of Use)
Patch for cov#10709 (993 bytes, patch)
2011-03-16 20:26 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10708 (1.03 KB, patch)
2011-03-16 21:41 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10707 (1.45 KB, patch)
2011-03-17 15:42 UTC, Nathan Kinder
no flags Details | Diff
Patch for cov#10706 & 10707 (1.45 KB, patch)
2011-03-17 15:46 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10704 & 10705 (1.20 KB, patch)
2011-03-17 16:18 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10703 (1.32 KB, patch)
2011-03-17 16:26 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10702 (950 bytes, patch)
2011-03-17 16:32 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Additional patch for cov#10709 (988 bytes, patch)
2011-03-22 17:55 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-03-16 20:21:11 UTC
A recent run of Coverity identified a few issues with code maintainability.  We need to address these issues.

Comment 1 Nathan Kinder 2011-03-16 20:26:29 UTC
Created attachment 485829 [details]
Patch for cov#10709

Comment 2 Nathan Kinder 2011-03-16 21:41:00 UTC
Created attachment 485851 [details]
Patch for cov#10708

Comment 3 Nathan Kinder 2011-03-17 15:42:04 UTC
Created attachment 486041 [details]
Patch for cov#10707

Comment 4 Nathan Kinder 2011-03-17 15:46:31 UTC
Created attachment 486043 [details]
Patch for cov#10706 & 10707

Comment 5 Nathan Kinder 2011-03-17 16:18:52 UTC
Created attachment 486053 [details]
Patch for cov#10704 & 10705

Comment 6 Nathan Kinder 2011-03-17 16:26:00 UTC
Created attachment 486057 [details]
Patch for cov#10703

Comment 7 Nathan Kinder 2011-03-17 16:32:47 UTC
Created attachment 486059 [details]
Patch for cov#10702

Comment 8 Nathan Kinder 2011-03-21 17:59:12 UTC
Pushed patches to master.  Thanks to Noriko for her reviews!

Counting objects: 44, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (36/36), done.
Writing objects: 100% (36/36), 3.29 KiB, done.
Total 36 (delta 27), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   bd148df..9d5d73c  master -> master

Comment 9 Nathan Kinder 2011-03-22 17:55:39 UTC
Created attachment 486862 [details]
Additional patch for cov#10709

A re-run of Coverity uncovered another issue around cov#10709.  This fixes the issue.

Comment 10 Nathan Kinder 2011-03-22 18:32:39 UTC
Pushed additional patch from comment#9 to master.  Thanks to Noriko for her review!

Counting objects: 11, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 658 bytes, done.
Total 6 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   6ada149..0498723  master -> master

Comment 11 Rich Megginson 2011-03-22 19:29:34 UTC
Do we want to target any of these for 389 1.2.8?

Comment 12 Nathan Kinder 2011-03-22 19:43:29 UTC
(In reply to comment #11)
> Do we want to target any of these for 389 1.2.8?

No, I don't think so.  None of them look critical.


Note You need to log in before you can comment on or make changes to this bug.